LINUX DOTNET      Linux DotNET 中文社区

Linux .NET编程与应用技术之专业网站:www.linuxdot.net !     返回首页    
   
[楼主] 请问各位大侠:用Ubuntu怎么安装Mono2.2,谁有详细说明?

如果能怎么安装Mono????

哪位知道,请提供详细说明,先谢谢了,呵呵。

用Ubuntu安装了Mono2.2从而就可以使用.net2005程序了吗??

作者:富贵张   发布时间:09年02月25日   可选操作:删除 回复

[1楼] 回复:请问各位大侠:用Ubuntu怎么安装Mono2.2,谁有详细说明?

一、编译环境:如果你的系统是新安装的,那么你得构建一个编译环境,以便从源文件进行安装。一般来说,下面2条命令可以弄一个基本的编译环境出来。
sudo apt-get install build-essential
sudo apt-get install automake autoconf
二、准备源文件:
1,下载:
sudo wget http://ftp.novell.com/pub/mono/sources/mono/mono-2.2.tar.bz2
sudo wget http://ftp.novell.com/pub/mono/sources/libgdiplus/libgdiplus-2.2.tar.bz2
2,解压:
sudo jvxf mono-2.2.tar.bz2
sudo jvxf libgdiplus-2.2.tar.bz2
三、准备相关库文件
进入解压所得到的源文件夹,看看说明,了解还需要哪些必要的支持库,然后根据要求把这些库安装好。
四、安装
1、安装libgdiplus
cd libgdiplus-2.2
sudo ./configure --prefix=/usr
sudo make
sudo make install
cd ..
2、安装Mono
cd mono-2.2
sudo ./configure --prefix=/usr
sudo make
sudo make install
通过以上的步骤,Mono就安装好了,可以通过 mono -V 看看版本等情况;
如果安装过程中出现错误,常常是找不到某个支持库文件造成的,可以根据具体情况把这些库补充安装好,再重新安装MONO就行。在Linux平台从源文件安装程序,出错常常就是相关库文件找不到或者版本不对,这是Linux本身的一个令人不愉快的地方。
安装好Mono之后,原则上是可以直接在Linux中运行.net2005的程序,但有一点不得不提醒您,如果你的程序中通过不安全方式使用了windows特有的dll或第三方专供windows使用的dll,那么就不能运行。如果你的程序完全使用的是.net2.0/3.0的名字空间本身所具有的类库,那么,不能运行的可能性很小。

作者:linuxdotnet   发布时间:09年02月25日   可选操作:删除 回复

 
   
   

留言回复:
标题: * 标题必填
作者:   * 请填上你的名字  
操作键:   * 填入几个字母表示是您写的,便于进一步操作
发言内容:
 
发贴者须知:
1、您无需注册即可发贴,但是,贴子内容必须在法律法规和社会公德所允许的范围内;
2、本站专注IT技术,谢绝包括政治、社会、情感等任何与IT技术无关的贴子在本站发表;
3、本站保留对任何贴子进行删除、禁用、更改、举报、追究等所有权利;
 
今天是: 星期天  星期一  星期三  星期二  星期四  星期五  星期六